Skip to main content
PUT
/
api2
/
v1
/
jobs
/
{jobUid}
/
conversations
/
lqas
/
{conversationId}
Edit LQA conversation
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/lqas/{conversationId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lqa": [
    {
      "errorCategoryId": 2,
      "severityId": 2,
      "originator": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>",
        "unavailable": true,
        "jobRoles": [
          {
            "type": "PROJECT_OWNER",
            "workflowStep": {
              "id": 123,
              "abbreviation": "<string>",
              "name": "<string>",
              "workflowLevel": 123,
              "workflowStep": {
                "name": "<string>",
                "id": "<string>",
                "uid": "<string>",
                "order": 123,
                "lqaEnabled": true
              }
            },
            "organizationType": "VENDOR"
          }
        ]
      },
      "repeated": "REPEATED",
      "origin": "HUMAN"
    }
  ],
  "status": "resolved",
  "correlation": {
    "uid": "<string>",
    "role": "PARENT"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required
conversationId
string
required

Body

application/json
lqa
object[]
required
status
enum<string>
Available options:
resolved,
unresolved
correlation
object

Response

Bad request